CXX = mpic++ -std=c++0x
LD  = mpic++ -std=c++0x

# here specify path to current directory                                                                                                                                                                    
# assuming gsl is in $SRC_DIR/lib                                                                                                                                                                           
HOME = /home/dteam004

GTEST_INC = -I$(HOME)/libs/include
GTEST_LIB = -L$(HOME)/libs/lib -pthread -lgtest -Wl,-rpath=$(HOME)/libs/lib
#GTEST_INC = -I/usr/local/include
#GTEST_LIB = -L/usr/local/lib -pthread -lgtest -Wl,-rpath=$(HOME)/libs/lib


UTIL_DIR  = $(HOME)/modern-computing-technologies/utils

INCLUDE   = -I. $(GTEST_INC) -I$(UTIL_DIR)
CXXFLAGS  = -O3 -fopenmp -mtune=native -march=native $(INCLUDE)
LIBS      = $(GTEST_LIB) -lgomp 
#-lfftw3_mpi -lfftw3 -lm -lmpi


OBJ1 = TestDerivative.x


all: test


test:
	$(CXX) -o covariance_test.x covariance_test_mpi.cpp $(CXXFLAGS) $(LIBS)


test2:
	$(CXX) -o covariance_test_mpi.x covariance_test_mpi.cpp $(CXXFLAGS) $(LIBS)

#$(OBJ2): %.o: %.cpp $(INCLUDECXX2)                                                                                                                                                               
#       $(LD) $(CXXFLAGS2) -c $<                                                                                                                                                                            


clean:
	rm *.o *.x
